application.h File Reference
`#include <list>`
`#include <exception>`
`#include <utility>`
`#include <c++-gtk-utils/cgu_config.h>`
`#include <gio/gio.h>`
`#include <c++-gtk-utils/gobj_handle.h>`
`#include <c++-gtk-utils/window.h>`
`#include <c++-gtk-utils/emitter.h>`

Go to the source code of this file.

## Classes

class | Cgu::ApplicationNameError
| This class is thrown when the program id name passed to the constructor of Cgu::Application is invalid. More...
class | Cgu::Application
| This is a class for constructing and managing GtkApplication objects. More...

## Namespaces

| Cgu